Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 384)
+++ src/mlx/gui/flight.py	(revision 391)
@@ -1999,5 +1999,5 @@
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(7, 4)
+        table = gtk.Table(8, 4)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2102,9 +2102,14 @@
         table.attach(self._derateUnit, 3, 4, 5, 6)
 
+        self._antiIceOn = gtk.CheckButton(xstr("takeoff_antiice"))
+        self._antiIceOn.set_use_underline(True)
+        self._antiIceOn.set_tooltip_text(xstr("takeoff_antiice_tooltip"))
+        table.attach(self._antiIceOn, 2, 4, 6, 7)
+
         self._rto = gtk.CheckButton(xstr("takeoff_rto"))
         self._rto.set_use_underline(True)
         self._rto.set_tooltip_text(xstr("takeoff_rto_tooltip"))
         self._rto.connect("toggled", self._rtoToggled)
-        table.attach(self._rto, 2, 4, 6, 7, ypadding = 8)
+        table.attach(self._rto, 2, 4, 7, 8, ypadding = 8)
 
         self.addCancelFlightButton()
@@ -2147,4 +2152,14 @@
         else:
             return None
+
+    @property
+    def antiIceOn(self):
+        """Get whether the anti-ice system has been turned on."""
+        return self._antiIceOn.get_active()
+
+    @antiIceOn.setter
+    def antiIceOn(self, value):
+        """Set the anti-ice indicator."""
+        self._antiIceOn.set_active(value)
 
     @property
@@ -2213,6 +2228,6 @@
         self._vr.reset()
         self._v2.reset()
-
         self._hasDerate = False
+        self._antiIceOn.set_active(False)
 
     def setRTOEnabled(self, enabled):
@@ -2259,7 +2274,9 @@
     def _forwardClicked(self, button):
         """Called when the forward button is clicked."""
-        self._wizard.gui.flight.aircraft.updateV1R2()
+        aircraft = self._wizard.gui.flight.aircraft
+        aircraft.updateV1R2()
         if self._hasDerate:
-            self._wizard.gui.flight.aircraft.updateDerate()
+            aircraft.updateDerate()
+        aircraft.updateTakeoffAntiIce()
         self._wizard.nextPage()
 
@@ -2393,5 +2410,5 @@
                                   xscale = 0.0, yscale = 0.0)
 
-        table = gtk.Table(5, 5)
+        table = gtk.Table(6, 5)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -2462,5 +2479,5 @@
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
-        table.attach(label, 1, 2, 5, 6)
+        table.attach(label, 1, 2, 4, 5)
 
         self._vref = IntegerEntry()
@@ -2468,9 +2485,14 @@
         self._vref.set_tooltip_markup(xstr("landing_vref_tooltip_knots"))
         self._vref.connect("integer-changed", self._vrefChanged)
-        table.attach(self._vref, 3, 4, 5, 6)
+        table.attach(self._vref, 3, 4, 4, 5)
         label.set_mnemonic_widget(self._vref)
 
         self._vrefUnit = gtk.Label(xstr("label_knots"))
-        table.attach(self._vrefUnit, 4, 5, 5, 6)
+        table.attach(self._vrefUnit, 4, 5, 4, 5)
+
+        self._antiIceOn = gtk.CheckButton(xstr("landing_antiice"))
+        self._antiIceOn.set_use_underline(True)
+        self._antiIceOn.set_tooltip_text(xstr("landing_antiice_tooltip"))
+        table.attach(self._antiIceOn, 3, 5, 5, 6)
 
         self.addCancelFlightButton()
@@ -2510,8 +2532,19 @@
         return self._vref.get_int()
 
+    @property
+    def antiIceOn(self):
+        """Get whether the anti-ice system has been turned on."""
+        return self._antiIceOn.get_active()
+
+    @antiIceOn.setter
+    def antiIceOn(self, value):
+        """Set the anti-ice indicator."""
+        self._antiIceOn.set_active(value)
+
     def reset(self):
         """Reset the page if the wizard is reset."""
         super(LandingPage, self).reset()
         self._vref.reset()
+        self._antiIceOn.set_active(False)
         self._flightEnded = False
 
@@ -2595,5 +2628,7 @@
     def _forwardClicked(self, button):
         """Called when the forward button is clicked."""
-        self._wizard.gui.flight.aircraft.updateVRef()
+        aircraft = self._wizard.gui.flight.aircraft
+        aircraft.updateVRef()
+        aircraft.updateLandingAntiIce()
         if self._wizard.gui.config.onlineGateSystem and \
            self._wizard.loggedIn and not self._completed and \
@@ -3187,4 +3222,14 @@
 
     @property
+    def takeoffAntiIceOn(self):
+        """Get whether the anti-ice system was on during take-off."""
+        return self._takeoffPage.antiIceOn
+
+    @takeoffAntiIceOn.setter
+    def takeoffAntiIceOn(self, value):
+        """Set anti-ice on indicator."""
+        self._takeoffPage.antiIceOn = value
+
+    @property
     def rtoIndicated(self):
         """Get whether the pilot has indicated that an RTO has occured."""
@@ -3215,4 +3260,14 @@
         """Get the Vref speed."""
         return self._landingPage.vref
+
+    @property
+    def landingAntiIceOn(self):
+        """Get whether the anti-ice system was on during landing."""
+        return self._landingPage.antiIceOn
+
+    @landingAntiIceOn.setter
+    def landingAntiIceOn(self, value):
+        """Set anti-ice on indicator."""
+        self._landingPage.antiIceOn = value
 
     @property
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 384)
+++ src/mlx/gui/gui.py	(revision 391)
@@ -313,4 +313,14 @@
 
     @property
+    def takeoffAntiIceOn(self):
+        """Get whether the anti-ice system was on during take-off."""
+        return self._wizard.takeoffAntiIceOn
+
+    @takeoffAntiIceOn.setter
+    def takeoffAntiIceOn(self, value):
+        """Set the anti-ice on indicator."""
+        gobject.idle_add(self._setTakeoffAntiIceOn, value)
+
+    @property
     def rtoIndicated(self):
         """Get whether the pilot has indicated than an RTO has occured."""
@@ -341,4 +351,14 @@
         """Get the Vref speed calculated for the flight."""
         return self._wizard.vref
+
+    @property
+    def landingAntiIceOn(self):
+        """Get whether the anti-ice system was on during landing."""
+        return self._wizard.landingAntiIceOn
+
+    @landingAntiIceOn.setter
+    def landingAntiIceOn(self, value):
+        """Set the anti-ice on indicator."""
+        gobject.idle_add(self._setLandingAntiIceOn, value)
 
     @property
@@ -1438,2 +1458,10 @@
         """Show the about URL."""
         webbrowser.open(url = link, new = 1)
+
+    def _setTakeoffAntiIceOn(self, value):
+        """Set the anti-ice on indicator."""
+        self._wizard.takeoffAntiIceOn = value
+
+    def _setLandingAntiIceOn(self, value):
+        """Set the anti-ice on indicator."""
+        self._wizard.landingAntiIceOn = value
